Page 3 of 25 FirstFirst 1234513 ... LastLast
Results 21 to 30 of 246
  1. #21
    Join Date
    Dec 2009
    Location
    Amersfoort, The Netherlands
    Posts
    2,283
    Plugin Contributions
    20

    Default Re: Need help to do an upgrade from 1.5.0 to 1.5.5

    Quote Originally Posted by mc12345678 View Post
    Perhaps an additional tab instead of info on one? What about "history" or reporting type information? Views, purchases, etc.?

  2. #22
    Join Date
    Dec 2009
    Location
    Amersfoort, The Netherlands
    Posts
    2,283
    Plugin Contributions
    20

    Default Re: Need help to do an upgrade from 1.5.0 to 1.5.5

    Quote Originally Posted by CaroleAs View Post
    This might just be my own wishlist but in the previous you showed, the description was only in text format. Is it going to be "formatted" with any editor? that would make it even more visual for users.
    This will be automatically changed if you have an editor selected. Just like the default Zen Cart behavior.

  3. #23
    Join Date
    Jul 2012
    Posts
    11,627
    Plugin Contributions
    13

    Default Re: Need help to do an upgrade from 1.5.0 to 1.5.5

    Quote Originally Posted by lat9 View Post
    @CaroleAs, do you have a fixed IP address? If so, you could add a PHP file to your store's /includes/functions/extra_functions directory that redirects back to your main site if the access isn't made by you.

    How is your test site set up? Is it a directory off of the main site, e.g. accessed as www.yoursite.com/testsite?
    I'm assuming here that the fixed IP address is in relation to the individual accessing the site and not the site itself.

    As a mobile and/or "desktop" user, keep in mind that any hard-coded IP address will be difficult to change on the fly. At the same time, keeping a large list of "mobile" IP addresses runs into a different issue as well, such as having to update the list if in a new location, or if someone else "happens" across the site from a previous/potential IP address. Just something to consider as you plan your development and how you want to show others or obtain input.
    ZC Installation/Maintenance Support <- Site
    Contribution for contributions welcome...
    Upgraded to Zen Cart V1.5.3 from V1.5.1 from V1.5.0 from V1.3.9h

  4. #24
    Join Date
    Feb 2009
    Posts
    581
    Plugin Contributions
    0

    Default Re: Need help to do an upgrade from 1.5.0 to 1.5.5

    Quote Originally Posted by lat9 View Post
    @CaroleAs, do you have a fixed IP address? If so, you could add a PHP file to your store's /includes/functions/extra_functions directory that redirects back to your main site if the access isn't made by you.

    How is your test site set up? Is it a directory off of the main site, e.g. accessed as www.yoursite.com/testsite?
    I have a dynamic IP so that might not work.
    My test site is installed on a domain that I had that was not in use. In the past, I have asked the "programmer" to help me so he set it somehow to redirect visitors to the live site. That worked and I never had any more purchase on that test site. The problem is that when I tried to use the test site back end for testing something, that too redirected me to the live site backend. In the end, I have never been able to use that test site again after (the "programmer" being unresponsive by that time).

  5. #25
    Join Date
    Sep 2009
    Location
    Stuart, FL
    Posts
    6,977
    Plugin Contributions
    63

    Default Re: Need help to do an upgrade from 1.5.0 to 1.5.5

    Quote Originally Posted by mc12345678 View Post
    I'm assuming here that the fixed IP address is in relation to the individual accessing the site and not the site itself.

    As a mobile and/or "desktop" user, keep in mind that any hard-coded IP address will be difficult to change on the fly. At the same time, keeping a large list of "mobile" IP addresses runs into a different issue as well, such as having to update the list if in a new location, or if someone else "happens" across the site from a previous/potential IP address. Just something to consider as you plan your development and how you want to show others or obtain input.
    Good assumption; the fixed IP address is that used for the access of the website.

  6. #26
    Join Date
    Feb 2009
    Posts
    581
    Plugin Contributions
    0

    Default Re: Need help to do an upgrade from 1.5.0 to 1.5.5

    My next hurdle is to create a test account. On the page, at the bottom, for the Country field, it says "WARNING: An Error occurred, please refresh the page and try again." I have no clue why that is, or how to fix it.

    So far, the only mod i installed was the French Language mod.
    I was in the process of adding the One-Page Checkout but opted to create a test account before doing anything, just in case i couldn't. I guess that didn't help. (backend still looks and works as expected).

  7. #27
    Join Date
    Sep 2009
    Location
    Stuart, FL
    Posts
    6,977
    Plugin Contributions
    63

    Default Re: Need help to do an upgrade from 1.5.0 to 1.5.5

    When you see the message WARNING: An Error occurred, please refresh the page and try again. Zen Cart is letting you know that there's a myDEBUG*.log file present in your store's /logs directory identifying more details about the error.

    Just find that log file, but note that if the file's name is like myDEBUG-adm-*.log that the log was created as a result of some admin-level activity and your Zen Cart's admin directory name will be present in the data. You should xxx-out that directory name before posting.

    When you do post the contents of a debug-log (or any code), be sure to use the "CODE" tags (the big # in the post-writing menu bar) so that the information doesn't take up as much screen space!

  8. #28
    Join Date
    Feb 2009
    Posts
    581
    Plugin Contributions
    0

    Default Re: Need help to do an upgrade from 1.5.0 to 1.5.5

    Thanks. I found the log (in fact, i found about a dozen seemingly identical, probably when i was trying to refresh).
    Here is what it says (foreign language to me).

    Code:
    [23-Aug-2017 22:18:55 America/New_York] Request URI: /index.php?main_page=login, IP address: 142.167.45.240
    #1  trigger_error() called at [/home/creat419/public_html/challengemehq.com/includes/classes/db/mysql/query_factory.php:167]
    #2  queryFactory->show_error() called at [/home/creat419/public_html/challengemehq.com/includes/classes/db/mysql/query_factory.php:139]
    #3  queryFactory->set_error() called at [/home/creat419/public_html/challengemehq.com/includes/classes/db/mysql/query_factory.php:266]
    #4  queryFactory->Execute() called at [/home/creat419/public_html/challengemehq.com/includes/functions/functions_lookups.php:47]
    #5  zen_get_countries() called at [/home/creat419/public_html/challengemehq.com/includes/functions/html_output.php:541]
    #6  zen_get_country_list() called at [/home/creat419/public_html/challengemehq.com/includes/templates/template_default/templates/tpl_modules_create_account.php:116]
    #7  require(/home/creat419/public_html/challengemehq.com/includes/templates/template_default/templates/tpl_modules_create_account.php) called at [/home/creat419/public_html/challengemehq.com/includes/templates/template_default/templates/tpl_login_default.php:92]
    #8  require(/home/creat419/public_html/challengemehq.com/includes/templates/template_default/templates/tpl_login_default.php) called at [/home/creat419/public_html/challengemehq.com/includes/templates/template_default/common/tpl_main_page.php:133]
    #9  require(/home/creat419/public_html/challengemehq.com/includes/templates/template_default/common/tpl_main_page.php) called at [/home/creat419/public_html/challengemehq.com/index.php:97]
    
    [23-Aug-2017 22:18:55 America/New_York] PHP Fatal error:  1054:Unknown column 'status' in 'where clause' :: select countries_id, countries_name
                        from zen_countries  where status != 0  order by countries_name ==> (as called by) /home/creat419/public_html/challengemehq.com/includes/functions/functions_lookups.php on line 47 <== in /home/creat419/public_html/challengemehq.com/includes/classes/db/mysql/query_factory.php on line 167

  9. #29
    Join Date
    Jul 2012
    Posts
    11,627
    Plugin Contributions
    13

    Default Re: Need help to do an upgrade from 1.5.0 to 1.5.5

    Your zen_countries table (without prefix would be the countries table) is missing the field called status. This was introduced in the last couple of versions of ZC and should have been inserted when doing the zc_install database upgrade. If it did not get done, there should be some related install logs in the same directory that would identify that it had not been done and why (to an extent). The other factor here is what was installed in the cart that was upgraded? Software installed there may have modified the database just enough for the upgrader (assuming it was run) to skip that particular modification.
    ZC Installation/Maintenance Support <- Site
    Contribution for contributions welcome...
    Upgraded to Zen Cart V1.5.3 from V1.5.1 from V1.5.0 from V1.3.9h

  10. #30
    Join Date
    Feb 2009
    Posts
    581
    Plugin Contributions
    0

    Default Re: Need help to do an upgrade from 1.5.0 to 1.5.5

    The only thing i have done is
    - clean install of 1.5.5
    - import the database from my live site (1.5.0)
    - add the French language mod

    That is all i had done. Or are you referring to modifications that would have happened to the live store database? (that one shows the country correctly)

    there should be some related install logs in the same directory that would identify that it had not been done and why (to an extent)
    Would you be so kind as to point out where that might be. Which directory? I either never had to touch that, or i already forgot after so many years of not touching it.

 

 
Page 3 of 25 FirstFirst 1234513 ... LastLast

Similar Threads

  1. Replies: 1
    Last Post: 15 Feb 2013, 07:42 AM
  2. v150 Need to re-do my upgrade - but need help!
    By annieh in forum Upgrading to 1.5.x
    Replies: 0
    Last Post: 14 Jun 2012, 01:32 AM
  3. Do i need to upgrade from 1.3.8a?
    By creamcrackers in forum Upgrading from 1.3.x to 1.3.9
    Replies: 1
    Last Post: 7 Oct 2010, 05:21 AM
  4. Need help with upgrade from 1.3.7 to 1.3.8
    By josee225 in forum Upgrading from 1.3.x to 1.3.9
    Replies: 1
    Last Post: 7 Sep 2009, 09:45 PM
  5. Need help upgrade from 1.3.7 to 1.3.8
    By lennypeng in forum Upgrading from 1.3.x to 1.3.9
    Replies: 17
    Last Post: 16 Nov 2008, 11:53 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
disjunctive-egg
Zen-Cart, Internet Selling Services, Klamath Falls, OR